commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@scalaris.com>
Subject Re: Commons Configuration 1.7
Date Wed, 17 Nov 2010 18:13:50 GMT
Hi Ralph,

Ralph Goers wrote:

> Moved from user's list.
> 
> On Nov 17, 2010, at 7:27 AM, Jörg Schaible wrote:
> 
>> Hi Ralph,
>> 
>>> 
>>> I'm not sure what you mean Jorg. VFS is an optional dependency so the
>>> Java 5 requirement isn't an issue (although the doc probably needs to be
>>> updated) and none of the changes made to VFS of late have had much of an
>>> impact on Configuration.  I've checked several times.
>> 
>> ???
> 
> I have no idea how you got the below but you did something wrong. All
> these were changed in r1034667.

OK, sorry, I did not update my local copy first.

[snip]

>> To release CC you have to build it and this means now Java 5. It does not
>> matter here if this is an optional dependency. BTW: It cannot build
>> against vfs 2.0-SNAPSHOT - you're using the old package name.
> 
> I use a Java 6 compiler, but Configuration's pom.xml is configured to
> require Java 1.4.  If there were any problems they would have showed up
> when I built Commons Configuration after the package was changed.  There
> would only be a problem if Configuration was using something in the VFS
> API that was exposing something from Java 5.

OK, but as said, you have to use at least a Java 5 compiler for the build.

- Jörg



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message